=== i18n/CMakeLists.txt ===
# Find modules
FIND_PACKAGE ( Qt6 REQUIRED COMPONENTS LinguistTools )

# Translations source files
SET ( ts_files
  ts/app_cs.ts
  ts/app_de.ts
  ts/app_es.ts
  ts/app_he.ts
  ts/app_ru.ts
)

# Setup translations build target
QT6_ADD_TRANSLATION ( qm_files ${ts_files} )
ADD_CUSTOM_TARGET ( translations ALL DEPENDS ${qm_files} )

# Install translations
FOREACH ( qm_src ${qm_files} )
  STRING( REGEX REPLACE ".*app_" "${L10N_PREFIX}" qm_name ${qm_src} )
  INSTALL( FILES ${qm_src}
    RENAME ${qm_name}
    DESTINATION ${INSTALL_DIR_L10N} )
ENDFOREACH ( qm_src )
