=== debian/changelog ===
qastools (1.4.0-1build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:21:36 +0000

qastools (1.4.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:05:32 +0000

qastools (1.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:55:53 +0000

qastools (1.4.0-1) unstable; urgency=medium

  * Upstream release v1.4.0:
    - QasHCtl,QasMixer: Reload mixer when ALSA signalizes a
      control add/remove/change
    - QasHCtl: Remember left splitter position
    - QasHCtl: Expand level 0 items in the tree view by default
    - QasMixer: New mixer device settings dialog
    - QasMixer: Controls can be hidden
    - QasMixer: Controls can be sorted by playback and capture
    - QasMixer: Control tooltips can be enabled/disabled in the settings
    - QasMixer: Remember separation state for each control
    - QasMixer: Remember vertical splitter position for each mixer device
    - QasMixer: Remember show playback and capture for each mixer device
    - QasMixer: New separators in the device selection view
    - QasMixer: Tray mixer: Use first available playback control even if it
      is not Master
    - CMake: Bring back SKIP_LICENSE_INSTALL option and external license file
    - Code refactoring and modernization
    - Bug fixes
  * Upstream release v1.3.0:
    - README.md: Update the build examples to use git and add localization info
    - L10n: Add LOCALIZATION.md with information about how to translate
      QasTools
    - L10n: Update the german translation
    - Apps: Add "About Qt" dialog in the help menu
    - CMake: Remove SKIP_LICENSE_INSTALL flag
      We need the COPYING file in the about dialog
    - Apps: About dialog: Don't show GPL-3 license, we use MIT license
    - Apps: Add content_rating attributes in the appdata.xml files
    - QasMixer: Add show playback and show capture actions to the View menu
    - QasMixer: New device info dialog
    - QasMixer: To properly raise the window call activateWindow() before
      raise()
    - QasMixer: Show volume change desktop notifications by default
    - QasMixer: Use desktop notifications instead of a custom balloon widget
      to show volume change information
    - QasMixer: Use playback or capture colors for switches and labels
    - QasMixer: Use the custom round switch widget in the switches pad
    - QasMixer,QasHctl: Always reload a mixer when a device is selected
      even when the address didn't change
    - QasMixer,QasHctl: Select cards by their id string to allow correct
      card selection restore after a reboot
    - QasMixer: Recognize cards by either their index or their id string
      when hw:* addresses are given
    - QasMixer,QasHctl: Layout and color tweaks
    - Code refactoring and modernization
  * debian/copyright:
    - Update copyright dates to 2024

 -- Sebastian Holtermann <sebholt@web.de>  Tue, 13 Feb 2024 16:19:14 +0100

qastools (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Dark theme support
    - Slider appearance slightly cleaned up
    - Code cleanups, refactoring and modernization

 -- Sebastian Holtermann <sebholt@web.de>  Fri, 15 Dec 2023 19:08:46 +0100

qastools (1.1.0-1) unstable; urgency=medium

  * New upstream release.
    - GUI: Simplify the device selection
    - GUI: Sort sound cards by their ALSA index
    - GUI: Fix unnecessarily elided slider labels
    - QasMixer: Show playback and capture streams by default
    - QasMixer: Show device selection by default
    - QasMixer: Don't show the volume change balloon by default
    - L10N: Add some more ALSA element names to the translation table
    - Engine: Limit the number of painter threads to 8
    - Code: Refactoring and modernization

 -- Sebastian Holtermann <sebholt@web.de>  Fri, 08 Dec 2023 19:12:04 +0100

qastools (1.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Code: Port from Qt5 to Qt6
    - Apps: Update AppStream .appdata.xml meta information files
  * debian/control:
    - Build-Depends updated for Qt6
    - Bump debhelper from old 12 to 13
    - Standards-Version raised to 4.6.2
  * debian/copyright:
    - Update dates from 2020 to 2023
  * debian/upstream/metadata:
    - Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse

 -- Sebastian Holtermann <sebholt@web.de>  Mon, 27 Nov 2023 18:23:42 +0100
